ELOGD(8)

NAME
elogd - web server program for Electronic Logbook ELOG

SYNOPSIS

elog [ -C url ] [ -c file ] [ -D ] [ -d directory ] [ -f file ] [ -k ] [ -l logbook ] [ -M ] [ -m ] [ -n hostname ] [ -p port ] [ -S ] [ -s directory ] [ -v ] [ -x ]

DESCRIPTION

The Electronic Logbook ELOG can be used to store and retrieve messages through a Web interface. Depending on the configuration, the ELOG system can host one or more logbooks which are stored in separate sections on the server. elogd is the daemon program serving as a simple web server for the ELOG system.

OPTIONS
elogd accepts the following options:

-C url
    clone remote elogd configuration

-c file
    specify configuration file

-D  become a daemon

-d directory
    specify logbook root directory

-f file
    specify PID file

-M  synchronize with removing deleted entries

-m  synchronize logbook(s) with remote server

-n host
    host where elogd will run

-k  do not use keep-alive

-l logbook
    specify logbook for `-r' and `-w' commands

-p port
    port where elogd will run

-S  be silent

-s directory
    specify resource directory (eg. themes, icons)

-v  debugging output

-x  enable execution of shell commands (unless compiled with this feature)

SEE ALSO
elog(1).

The full documentation for ELOG is maintained as an html manual. You can reach it from the package document directory.

WARNINGS
elogd is run under a separate user/group elog , by default. You might change it via Usr and Grp options in configuration file. The configuration and stylesheet files should be readable by that user.

Passwords are transferred over the network in plain text and therefore, are not secure. So if passwords are used elogd should be started with the SSL option in the configuration file for secure connections.

AUTHOR
Written by Stefan Ritt <stefan.ritt@psi.ch>.

This manual page was written by Recai Oktas <roktas@omu.edu.tr>, for the Debian GNU/Linux system (but may be used by others).